org.wso2.carbon.webapp.mgt

## Class DataHolder

- java.lang.Object
- - org.wso2.carbon.webapp.mgt.DataHolder

-     public class DataHolder
      extends Object

  Holds the some of the data required by the webapps component

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static org.wso2.carbon.core.deployment.DeploymentSynchronizer` | `deploymentSynchronizerService`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataHolder()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.wso2.carbon.application.deployer.service.ApplicationManagerService` | `getApplicationManager()`
    `static org.wso2.carbon.tomcat.api.CarbonTomcatService` | `getCarbonTomcatService()`
    `static org.wso2.carbon.core.deployment.DeploymentSynchronizer` | `getDeploymentSynchronizerService()`
    `static org.wso2.carbon.url.mapper.HotUpdateService` | `getHotUpdateService()`
    `static org.wso2.carbon.user.core.service.RealmService` | `getRealmService()`
    `static org.wso2.carbon.registry.core.service.RegistryService` | `getRegistryService()`
    `static org.apache.axis2.context.ConfigurationContext` | `getServerConfigContext()`
    `static org.wso2.carbon.registry.core.service.TenantRegistryLoader` | `getTenantRegistryLoader()`
    `static void` | `setApplicationManager(org.wso2.carbon.application.deployer.service.ApplicationManagerService applicationManager)`
    `static void` | `setCarbonTomcatService(org.wso2.carbon.tomcat.api.CarbonTomcatService carbonTomcatService)`
    `static void` | `setDeploymentSynchronizerService(org.wso2.carbon.core.deployment.DeploymentSynchronizer deploymentSynchronizerService)`
    `static void` | `setHotUpdateService(org.wso2.carbon.url.mapper.HotUpdateService hotUpdateService)`
    `static void` | `setRealmService(org.wso2.carbon.user.core.service.RealmService realmService)`
    `static void` | `setRegistryService(org.wso2.carbon.registry.core.service.RegistryService registryService)`
    `static void` | `setServerConfigContext(org.apache.axis2.context.ConfigurationContext serverConfigContext)`
    `static void` | `setTenantRegistryLoader(org.wso2.carbon.registry.core.service.TenantRegistryLoader tenantRegistryLoader)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### deploymentSynchronizerService

          protected static org.wso2.carbon.core.deployment.DeploymentSynchronizer deploymentSynchronizerService

  - ### Constructor Detail

    - #### DataHolder

          public DataHolder()

  - ### Method Detail

    - #### getRealmService

          public static org.wso2.carbon.user.core.service.RealmService getRealmService()

    - #### setRealmService

          public static void setRealmService(org.wso2.carbon.user.core.service.RealmService realmService)

    - #### setServerConfigContext

          public static void setServerConfigContext(org.apache.axis2.context.ConfigurationContext serverConfigContext)

    - #### getServerConfigContext

          public static org.apache.axis2.context.ConfigurationContext getServerConfigContext()

    - #### setCarbonTomcatService

          public static void setCarbonTomcatService(org.wso2.carbon.tomcat.api.CarbonTomcatService carbonTomcatService)

    - #### getCarbonTomcatService

          public static org.wso2.carbon.tomcat.api.CarbonTomcatService getCarbonTomcatService()

    - #### setHotUpdateService

          public static void setHotUpdateService(org.wso2.carbon.url.mapper.HotUpdateService hotUpdateService)

    - #### getHotUpdateService

          public static org.wso2.carbon.url.mapper.HotUpdateService getHotUpdateService()

    - #### setDeploymentSynchronizerService

          public static void setDeploymentSynchronizerService(org.wso2.carbon.core.deployment.DeploymentSynchronizer deploymentSynchronizerService)

    - #### getDeploymentSynchronizerService

          public static org.wso2.carbon.core.deployment.DeploymentSynchronizer getDeploymentSynchronizerService()

    - #### setTenantRegistryLoader

          public static void setTenantRegistryLoader(org.wso2.carbon.registry.core.service.TenantRegistryLoader tenantRegistryLoader)

    - #### getTenantRegistryLoader

          public static org.wso2.carbon.registry.core.service.TenantRegistryLoader getTenantRegistryLoader()

    - #### setRegistryService

          public static void setRegistryService(org.wso2.carbon.registry.core.service.RegistryService registryService)

    - #### getRegistryService

          public static org.wso2.carbon.registry.core.service.RegistryService getRegistryService()

    - #### getApplicationManager

          public static org.wso2.carbon.application.deployer.service.ApplicationManagerService getApplicationManager()

    - #### setApplicationManager

          public static void setApplicationManager(org.wso2.carbon.application.deployer.service.ApplicationManagerService applicationManager)

Copyright © 2017 WSO2. All rights reserved.